using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;

public partial class ARAP_Report_CheckAccount_Details : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public Hashtable xview = new Hashtable();
    public ConfigReader cfg = new ConfigReader();
    AWGridFun aw = new AWGridFun();
    public string title, rp_flag, prefix;
    protected void Page_Load(object sender, EventArgs e)
    {
        new LoginState().CheckLogin();
        rp_flag = Request.QueryString["rp_flag"];
        if (rp_flag.Equals("AR"))
        {
            title = "销售对账单";
            prefix = "Sale";
        }
        else
        {
            title = "采购对账单";
            prefix = "Purchase";
        }
        if (!Page.IsPostBack)
        {
            LoginInfo li = new LoginInfo();
            string begin_date = li.GetSearchBeginDate();
            xview.Add("begin_date", begin_date);
            xview.Add("end_date", li.login_date);
            //模块权限编号,同时作为模块号
            string auth_code = prefix + "_CheckAccount_Details";
            xview.Add("auth_code", auth_code);
            //加载页面时建议不要指定网址，搜索时动态指定即可
            string url = "";
            xview.Add("grid_frame",aw.CreateGridFrame(url));
        }
    }
}